Loading...
Searching...
No Matches
MTLLegacyGregoryPatchTable Class Reference

`#include <mtlLegacyGregoryPatchTable.h>`

Inheritance diagram for MTLLegacyGregoryPatchTable:

## Public Member Functions

| ~MTLLegacyGregoryPatchTable ()
void | UpdateVertexBuffer (id< MTLBuffer > vbo, int numVertices, int numVertexElements, MTLContext *context)
id< MTLBuffer > | GetVertexBuffer () const
id< MTLBuffer > | GetVertexValenceBuffer () const
id< MTLBuffer > | GetQuadOffsetsBuffer () const
int | GetQuadOffsetsBase (Far::PatchDescriptor::Type type)

## Static Public Member Functions

template<typename DEVICE_CONTEXT>
static MTLLegacyGregoryPatchTable * | Create (Far::PatchTable const *farPatchTable, DEVICE_CONTEXT context)
static MTLLegacyGregoryPatchTable * | Create (Far::PatchTable const *farPatchTable, MTLContext *context)

## Detailed Description

Definition at line 41 of file mtlLegacyGregoryPatchTable.h.

## Constructor & Destructor Documentation

## ~MTLLegacyGregoryPatchTable()

~MTLLegacyGregoryPatchTable | ( |  | ) |

## Member Function Documentation

## Create() [1/2]

template<typename DEVICE_CONTEXT>

MTLLegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | DEVICE_CONTEXT | context )

inline static

Definition at line 48 of file mtlLegacyGregoryPatchTable.h.

## Create() [2/2]

MTLLegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | MTLContext * | context )

static

## GetQuadOffsetsBase()

int GetQuadOffsetsBase | ( | Far::PatchDescriptor::Type | type | ) |

inline

Definition at line 71 of file mtlLegacyGregoryPatchTable.h.

## GetQuadOffsetsBuffer()

id< MTLBuffer > GetQuadOffsetsBuffer | ( |  | ) | const

inline

Definition at line 66 of file mtlLegacyGregoryPatchTable.h.

## GetVertexBuffer()

id< MTLBuffer > GetVertexBuffer | ( |  | ) | const

inline

Definition at line 56 of file mtlLegacyGregoryPatchTable.h.

## GetVertexValenceBuffer()

id< MTLBuffer > GetVertexValenceBuffer | ( |  | ) | const

inline

Definition at line 61 of file mtlLegacyGregoryPatchTable.h.

## UpdateVertexBuffer()

void UpdateVertexBuffer | ( | id< MTLBuffer > | vbo,
|  | int | numVertices,
|  | int | numVertexElements,
|  | MTLContext * | context )

The documentation for this class was generated from the following file:

- opensubdiv/osd/mtlLegacyGregoryPatchTable.h